Gda.ServerOperation – Gda-6.0 Reference Manual

# ServerOperation

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_server_operation_get_type ()" ) ]
public class ServerOperation : Object
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public Connection connection { owned get; construct; }
- public int op_type { get; construct; }
- public ServerProvider provider { owned get; construct; }
- public string spec_filename { construct; }
- public string spec_resource { construct; }

### Static methods:

- public static Quark error_quark ()
- public static ServerOperation? prepare_create_database (string provider, string? db_name) throws Error
- public static ServerOperation? prepare_drop_database (string provider, string? db_name) throws Error

### Creation methods:

- public ServerOperation (ServerOperationType op_type, string xml_file)

### Methods:

- public uint add_item_to_sequence (string seq_path)
- public bool del_item_from_sequence (string item_path)
- public string get_node_parent (string path)
- public string get_node_path_portion (string path)
- public ServerOperationNodeType get_node_type (string path, ServerOperationNodeStatus? status)
- public ServerOperationType get_op_type ()
- public string[] get_root_nodes ()
- public string[] get_sequence_item_names (string path)
- public uint get_sequence_max_size (string path)
- public uint get_sequence_min_size (string path)
- public unowned string get_sequence_name (string path)
- public uint get_sequence_size (string path)
- public string get_sql_identifier_at_path (string path) throws Error
- public unowned Value? get_value_at (string path)
- public bool is_valid (string? xml_file) throws Error
- public bool is_valid_from_resource (string? resource) throws Error
- public bool load_data_from_xml (unowned Node* node) throws Error
- public bool perform_create_database (string? provider) throws Error
- public bool perform_drop_database (string? provider) throws Error
- public string? render () throws Error
- public string save_data_to_xml_string () throws Error
- public virtual void seq_item_added (string seq_path, int item_index)
- public virtual void seq_item_remove (string seq_path, int item_index)
- public bool set_value_at (string? value, string path) throws Error

### Signals:

- public signal void sequence_item_added (string seq_path, int item_index)
- public signal void sequence_item_remove (string seq_path, int item_index)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref